OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
timetable_widget.h File Reference

Types related to the timetable widgets. More...

Go to the source code of this file.

## Enumerations
enum | VehicleTimetableWidgets { WID_VT_CAPTION, WID_VT_ORDER_VIEW, WID_VT_TIMETABLE_PANEL, WID_VT_ARRIVAL_DEPARTURE_PANEL, WID_VT_SCROLLBAR, WID_VT_SUMMARY_PANEL, WID_VT_START_DATE, WID_VT_CHANGE_TIME, WID_VT_CLEAR_TIME, WID_VT_RESET_LATENESS, WID_VT_AUTOFILL, WID_VT_EXPECTED, WID_VT_SHARED_ORDER_LIST, WID_VT_ARRIVAL_DEPARTURE_SELECTION, WID_VT_EXPECTED_SELECTION, WID_VT_CHANGE_SPEED, WID_VT_CLEAR_SPEED }
| Widgets of the TimetableWindow class. More...

## Detailed Description

Types related to the timetable widgets.

Definition in file timetable_widget.h.

## Enumeration Type Documentation

enum VehicleTimetableWidgets

Widgets of the TimetableWindow class.

Enumerator:

  WID_VT_CAPTION | Caption of the window.
  WID_VT_ORDER_VIEW | Order view.
  WID_VT_TIMETABLE_PANEL | Timetable panel.
  WID_VT_ARRIVAL_DEPARTURE_PANEL | Panel with the expected/scheduled arrivals.
  WID_VT_SCROLLBAR | Scrollbar for the panel.
  WID_VT_SUMMARY_PANEL | Summary panel.
  WID_VT_START_DATE | Start date button.
  WID_VT_CHANGE_TIME | Change time button.
  WID_VT_CLEAR_TIME | Clear time button.
  WID_VT_RESET_LATENESS | Reset lateness button.
  WID_VT_AUTOFILL | Autofill button.
  WID_VT_EXPECTED | Toggle between expected and scheduled arrivals.
  WID_VT_SHARED_ORDER_LIST | Show the shared order list.
  WID_VT_ARRIVAL_DEPARTURE_SELECTION | Disable/hide the arrival departure panel.
  WID_VT_EXPECTED_SELECTION | Disable/hide the expected selection button.
  WID_VT_CHANGE_SPEED | Change speed limit button.
  WID_VT_CLEAR_SPEED | Clear speed limit button.

Definition at line 16 of file timetable_widget.h.